<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_c_sharp.html">CSharp</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">CSharpSerializer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Serializes C# source code out of a syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_inherit__map">
<area shape="rect" title="Serializes C# source code out of a syntax tree" alt="" coords="5,80,205,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="34,5,177,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_serializer_coll__map">
<area shape="rect" title="Serializes C# source code out of a syntax tree" alt="" coords="5,80,205,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="34,5,177,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a930f0c854f2acc0e183bf33f224992d1"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a930f0c854f2acc0e183bf33f224992d1">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:a930f0c854f2acc0e183bf33f224992d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a930f0c854f2acc0e183bf33f224992d1">More...</a><br /></td></tr>
<tr class="separator:a930f0c854f2acc0e183bf33f224992d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27260500322d020774bb00149873b884"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a27260500322d020774bb00149873b884">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a27260500322d020774bb00149873b884"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a27260500322d020774bb00149873b884">More...</a><br /></td></tr>
<tr class="separator:a27260500322d020774bb00149873b884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">More...</a><br /></td></tr>
<tr class="separator:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">More...</a><br /></td></tr>
<tr class="separator:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">NullToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html">Null</a> n)</td></tr>
<tr class="memdesc:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a Null  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">More...</a><br /></td></tr>
<tr class="separator:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:adf5e780df4824eb622b8453b2e922e11"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#adf5e780df4824eb622b8453b2e922e11">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:adf5e780df4824eb622b8453b2e922e11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#adf5e780df4824eb622b8453b2e922e11">More...</a><br /></td></tr>
<tr class="separator:adf5e780df4824eb622b8453b2e922e11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09709927db21424c681e51320b42387d"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a09709927db21424c681e51320b42387d">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a09709927db21424c681e51320b42387d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a09709927db21424c681e51320b42387d">More...</a><br /></td></tr>
<tr class="separator:a09709927db21424c681e51320b42387d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29b7809450306b804ef80e5ac43b8b8"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#ab29b7809450306b804ef80e5ac43b8b8">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ab29b7809450306b804ef80e5ac43b8b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#ab29b7809450306b804ef80e5ac43b8b8">More...</a><br /></td></tr>
<tr class="separator:ab29b7809450306b804ef80e5ac43b8b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aede6fdae7fa0a597618446817be2e7ff"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#aede6fdae7fa0a597618446817be2e7ff">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:aede6fdae7fa0a597618446817be2e7ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#aede6fdae7fa0a597618446817be2e7ff">More...</a><br /></td></tr>
<tr class="separator:aede6fdae7fa0a597618446817be2e7ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8882463bfbbeeb79429f191bb225ade3"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a8882463bfbbeeb79429f191bb225ade3">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a8882463bfbbeeb79429f191bb225ade3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a8882463bfbbeeb79429f191bb225ade3">More...</a><br /></td></tr>
<tr class="separator:a8882463bfbbeeb79429f191bb225ade3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a071e1e924bcb11e93570108927aa99eb"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a071e1e924bcb11e93570108927aa99eb">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a071e1e924bcb11e93570108927aa99eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a071e1e924bcb11e93570108927aa99eb">More...</a><br /></td></tr>
<tr class="separator:a071e1e924bcb11e93570108927aa99eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab8c5fc5be739d87cf9bea1d8f53e6e"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1ab8c5fc5be739d87cf9bea1d8f53e6e">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=false, bool withName=false)</td></tr>
<tr class="memdesc:a1ab8c5fc5be739d87cf9bea1d8f53e6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1ab8c5fc5be739d87cf9bea1d8f53e6e">More...</a><br /></td></tr>
<tr class="separator:a1ab8c5fc5be739d87cf9bea1d8f53e6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a021fd487cedd9d4771f2d512990c89"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1a021fd487cedd9d4771f2d512990c89">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a1a021fd487cedd9d4771f2d512990c89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1a021fd487cedd9d4771f2d512990c89">More...</a><br /></td></tr>
<tr class="separator:a1a021fd487cedd9d4771f2d512990c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c05c4c03d2cedcf28376d7a971950f"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a64c05c4c03d2cedcf28376d7a971950f">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a64c05c4c03d2cedcf28376d7a971950f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a64c05c4c03d2cedcf28376d7a971950f">More...</a><br /></td></tr>
<tr class="separator:a64c05c4c03d2cedcf28376d7a971950f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107b88ea78ec898dbe7cd547ae3cabaf"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a107b88ea78ec898dbe7cd547ae3cabaf">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a107b88ea78ec898dbe7cd547ae3cabaf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a107b88ea78ec898dbe7cd547ae3cabaf">More...</a><br /></td></tr>
<tr class="separator:a107b88ea78ec898dbe7cd547ae3cabaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">ModifiersToString</a> (IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; modifiers)</td></tr>
<tr class="memdesc:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of modifiers  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">More...</a><br /></td></tr>
<tr class="separator:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">ClassContentsToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">More...</a><br /></td></tr>
<tr class="separator:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">PropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">More...</a><br /></td></tr>
<tr class="separator:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">ConstructorsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt; constructors, int indentDepth)</td></tr>
<tr class="memdesc:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes constructors  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">More...</a><br /></td></tr>
<tr class="separator:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">GetablePropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes getable properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">More...</a><br /></td></tr>
<tr class="separator:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">MethodsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt; methods, int indentDepth)</td></tr>
<tr class="memdesc:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes methods  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">More...</a><br /></td></tr>
<tr class="separator:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">More...</a><br /></td></tr>
<tr class="separator:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">More...</a><br /></td></tr>
<tr class="separator:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">More...</a><br /></td></tr>
<tr class="separator:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">More...</a><br /></td></tr>
<tr class="separator:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">More...</a><br /></td></tr>
<tr class="separator:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">More...</a><br /></td></tr>
<tr class="separator:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=default, bool withName=default)</td></tr>
<tr class="memdesc:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">More...</a><br /></td></tr>
<tr class="separator:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">More...</a><br /></td></tr>
<tr class="separator:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">More...</a><br /></td></tr>
<tr class="separator:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">More...</a><br /></td></tr>
<tr class="separator:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">MethodBodyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body, int indentDepth)</td></tr>
<tr class="memdesc:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method body  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">More...</a><br /></td></tr>
<tr class="separator:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a690c5a3ac107989a3feb7bbb1befcb42"><td class="memItemLeft" align="right" valign="top">override IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a690c5a3ac107989a3feb7bbb1befcb42">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:a690c5a3ac107989a3feb7bbb1befcb42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#af07b5e9989a9844d407a957e86c42b9d">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Serializes C# source code out of a syntax tree </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1ab8c5fc5be739d87cf9bea1d8f53e6e" name="a1ab8c5fc5be739d87cf9bea1d8f53e6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ab8c5fc5be739d87cf9bea1d8f53e6e">&#9670;&nbsp;</a></span>ArgumentsToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.ArgumentsToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>newLines</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withName</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of arguments </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">args</td><td>Arguments</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
    <tr><td class="paramname">newLines</td><td>Should every argument be in its own line</td></tr>
    <tr><td class="paramname">withName</td><td>Should the name be included in the arguments list (i.e. "name: value")</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized arguments string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a09709927db21424c681e51320b42387d" name="a09709927db21424c681e51320b42387d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09709927db21424c681e51320b42387d">&#9670;&nbsp;</a></span>ClassToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.ClassToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td>
          <td class="paramname"><em>cls</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a class </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cls</td><td>Class</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized class string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a107b88ea78ec898dbe7cd547ae3cabaf" name="a107b88ea78ec898dbe7cd547ae3cabaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a107b88ea78ec898dbe7cd547ae3cabaf">&#9670;&nbsp;</a></span>CommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.CommentToString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">comment</td><td>Comment</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a8882463bfbbeeb79429f191bb225ade3" name="a8882463bfbbeeb79429f191bb225ade3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8882463bfbbeeb79429f191bb225ade3">&#9670;&nbsp;</a></span>ConstructorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.ConstructorToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td>
          <td class="paramname"><em>constructor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a constructor </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">constructor</td><td>Constructor</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized constructor string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a930f0c854f2acc0e183bf33f224992d1" name="a930f0c854f2acc0e183bf33f224992d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a930f0c854f2acc0e183bf33f224992d1">&#9670;&nbsp;</a></span>DictionaryToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.DictionaryToString </td>
          <td>(</td>
          <td class="paramtype">IDictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>dict</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a dictionary </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dict</td><td>Dictionary</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized dictionary string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="ab29b7809450306b804ef80e5ac43b8b8" name="ab29b7809450306b804ef80e5ac43b8b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab29b7809450306b804ef80e5ac43b8b8">&#9670;&nbsp;</a></span>GetablePropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.GetablePropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a getable property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized getable property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="adf5e780df4824eb622b8453b2e922e11" name="adf5e780df4824eb622b8453b2e922e11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf5e780df4824eb622b8453b2e922e11">&#9670;&nbsp;</a></span>ImportToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.ImportToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td>
          <td class="paramname"><em>import</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes an import </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">import</td><td>Import</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized import string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a071e1e924bcb11e93570108927aa99eb" name="a071e1e924bcb11e93570108927aa99eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a071e1e924bcb11e93570108927aa99eb">&#9670;&nbsp;</a></span>MethodToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.MethodToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a method </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">method</td><td>Method</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized method string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a1a021fd487cedd9d4771f2d512990c89" name="a1a021fd487cedd9d4771f2d512990c89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a021fd487cedd9d4771f2d512990c89">&#9670;&nbsp;</a></span>ParametersToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.ParametersToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of parameters </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parameters</td><td>Parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized parameters string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a64c05c4c03d2cedcf28376d7a971950f" name="a64c05c4c03d2cedcf28376d7a971950f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64c05c4c03d2cedcf28376d7a971950f">&#9670;&nbsp;</a></span>PropertyCommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.PropertyCommentToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="aede6fdae7fa0a597618446817be2e7ff" name="aede6fdae7fa0a597618446817be2e7ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aede6fdae7fa0a597618446817be2e7ff">&#9670;&nbsp;</a></span>PropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.PropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a27260500322d020774bb00149873b884" name="a27260500322d020774bb00149873b884"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27260500322d020774bb00149873b884">&#9670;&nbsp;</a></span>RootToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.RootToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td>
          <td class="paramname"><em>root</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a root </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">root</td><td>Root</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized root string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a690c5a3ac107989a3feb7bbb1befcb42" name="a690c5a3ac107989a3feb7bbb1befcb42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690c5a3ac107989a3feb7bbb1befcb42">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override IDictionary&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string&gt; xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/CSharp/<a class="el" href="_c_sharp_serializer_8cs.html">CSharpSerializer.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
